package com.corewing.app.modules.admin.sys;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;

@Controller
public class SysMainController {

    /**
     * 加载页
     * @return
     */
    @GetMapping({"/", "/index.html"})
    public String loading() {
        return "admin/loading";
    }

    /**
     * 登录页
     * @return
     */
    @GetMapping("/admin/login.html")
    public String login() {
        return "admin/login";
    }

    /**
     * 后台首页
     * @return
     */
    @GetMapping("/admin/index.html")
    public String adminIndex() {
        return "admin/main";
    }

    /**
     * 仪表盘
     * @return
     */
    @GetMapping("/admin/dashboard")
    public String dashboard() {
        return "admin/dashboard";
    }

}
